package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.MwrAcciMapper;
import com.goldenwater.slaj.acci.domain.MwrAcci;
import com.goldenwater.slaj.acci.service.IMwrAcciService;

/**
 * 水利部事故共享信息 服务层实现
 */
@Service
public class MwrAcciServiceImpl implements IMwrAcciService {

    @Autowired
    private MwrAcciMapper mwrAcciMapper;

    /**
     * 查询水利部事故共享信息
     * @param guid 查询条件
     * @return 水利部事故共享信息
     */
    @Override
    public MwrAcci selectMwrAcciByGuid(String guid) {
        return mwrAcciMapper.selectMwrAcciByGuid(guid);
    }

    /**
     * 查询水利部事故共享信息列表
     * @param mwrAcci 水利部事故共享信息查询条件
     * @return 水利部事故共享信息集合
     */
    @Override
    public List<MwrAcci> selectMwrAcciList(MwrAcci mwrAcci) {
        return mwrAcciMapper.selectMwrAcciList(mwrAcci);
    }

    /**
     * 新增水利部事故共享信息
     * @param mwrAcci 水利部事故共享信息
     * @return 影响行数
     */
    @Override
    public int insertMwrAcci(MwrAcci mwrAcci) {
        return mwrAcciMapper.insertMwrAcci(mwrAcci);
    }

    /**
     * 修改水利部事故共享信息
     * @param mwrAcci 水利部事故共享信息
     * @return 影响行数
     */
    @Override
    public int updateMwrAcci(MwrAcci mwrAcci) {
        return mwrAcciMapper.updateMwrAcci(mwrAcci);
    }

    /**
     * 删除水利部事故共享信息
     * @param guid 水利部事故共享信息主键
     * @return 影响行数
     */
    @Override
    public int deleteMwrAcciByGuid(String guid) {
        return mwrAcciMapper.deleteMwrAcciByGuid(guid);
    }

    /**
     * 批量删除水利部事故共享信息
     * @param guids 水利部事故共享信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteMwrAcciByGuids(String[] guids) {
        return mwrAcciMapper.deleteMwrAcciByGuids(guids);
    }
}
